Bug 231988 - games/manaplus: fix build with GCC-based architectures
Summary: games/manaplus: fix build with GCC-based architectures
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mateusz Piotrowski
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2018-10-05 22:43 UTC by Piotr Kubaj
Modified: 2018-11-05 20:23 UTC (History)
3 users (show)

See Also:
monwarez: maintainer-feedback+


Attachments
patch (527 bytes, patch)
2018-10-05 22:43 UTC, Piotr Kubaj
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2018-10-05 22:43:24 UTC
Created attachment 197824 [details]
patch

Building this port with base GCC fails, newer compiler is needed. Add USES=compiler:c++11-lang to fix it.

While here, add USES=gl.

Tested on powerpc64 and amd64.

Hardware sponsored by IntegriCloud.
Comment 1 Thibault Payet 2018-10-05 23:02:29 UTC
Comment on attachment 197824 [details]
patch

Nice catch
Comment 2 Thibault Payet 2018-10-14 21:39:37 UTC
Comment on attachment 197824 [details]
patch

Patch approved ( I can't get the maintainer-approval flags working)
Comment 3 Mateusz Piotrowski freebsd_committer 2018-10-14 22:34:00 UTC
Differential revision: https://reviews.freebsd.org/D17559
Comment 4 commit-hook freebsd_committer 2018-11-05 20:19:40 UTC
A commit references this bug:

Author: linimon
Date: Mon Nov  5 20:19:27 UTC 2018
New revision: 484218
URL: https://svnweb.freebsd.org/changeset/ports/484218

Log:
  Building this port with base GCC fails -- a newer compiler is needed.
  Add USES=compiler:c++11-lang to fix it.

  While here, add USES=gl.

  PR:		231988
  Submitted by:	Piotr Kubaj
  Approved by:	portmgr (tier-2 blanket)

Changes:
  head/games/manaplus/Makefile